{
    "class": "Workflow",
    "requirements": [
        {
            "class": "ScatterFeatureRequirement"
        }
    ],
    "inputs": [
        {
            "default": "gs_lowercase",
            "type": "string",
            "id": "#main/dir_name"
        },
        {
            "type": "Directory",
            "id": "#main/in_dir"
        }
    ],
    "steps": [
        {
            "run": {
                "cwlVersion": "v1.0",
                "class": "CommandLineTool",
                "baseCommand": [
                    "python",
                    "-m",
                    "nlppln.commands.lowercase"
                ],
                "inputs": [
                    {
                        "type": "File",
                        "inputBinding": {
                            "position": 1
                        },
                        "id": "#_:lowercase-1/in_file"
                    }
                ],
                "stdout": "$(inputs.in_file.nameroot).txt",
                "outputs": [
                    {
                        "type": "File",
                        "outputBinding": {
                            "glob": "$(inputs.in_file.nameroot).txt"
                        },
                        "id": "#_:lowercase-1/out_files"
                    }
                ],
                "id": "#_:lowercase-1"
            },
            "in": [
                {
                    "source": "#main/ls-1/out_files",
                    "id": "#main/lowercase-1/in_file"
                }
            ],
            "out": [
                "#main/lowercase-1/out_files"
            ],
            "scatter": [
                "#main/lowercase-1/in_file"
            ],
            "scatterMethod": "dotproduct",
            "id": "#main/lowercase-1"
        },
        {
            "run": {
                "cwlVersion": "v1.0",
                "class": "CommandLineTool",
                "baseCommand": [
                    "python",
                    "-m",
                    "nlppln.commands.ls"
                ],
                "inputs": [
                    {
                        "type": "Directory",
                        "inputBinding": {
                            "position": 2
                        },
                        "id": "#_:ls-1/in_dir"
                    },
                    {
                        "type": [
                            "null",
                            "boolean"
                        ],
                        "inputBinding": {
                            "prefix": "--recursive"
                        },
                        "id": "#_:ls-1/recursive"
                    }
                ],
                "stdout": "cwl.output.json",
                "outputs": [
                    {
                        "type": {
                            "type": "array",
                            "items": "File"
                        },
                        "id": "#_:ls-1/out_files"
                    }
                ],
                "id": "#_:ls-1"
            },
            "in": [
                {
                    "source": "#main/in_dir",
                    "id": "#main/ls-1/in_dir"
                }
            ],
            "out": [
                "#main/ls-1/out_files"
            ],
            "id": "#main/ls-1"
        },
        {
            "run": {
                "cwlVersion": "v1.0",
                "class": "ExpressionTool",
                "requirements": [
                    {
                        "class": "InlineJavascriptRequirement"
                    }
                ],
                "inputs": [
                    {
                        "type": "string",
                        "id": "#_:save-files-to-dir-4/dir_name"
                    },
                    {
                        "type": {
                            "type": "array",
                            "items": "File"
                        },
                        "id": "#_:save-files-to-dir-4/in_files"
                    }
                ],
                "outputs": [
                    {
                        "type": "Directory",
                        "id": "#_:save-files-to-dir-4/out"
                    }
                ],
                "expression": "${\n  return {\"out\": {\n    \"class\": \"Directory\",\n    \"basename\": inputs.dir_name,\n    \"listing\": inputs.in_files\n  } };\n}\n",
                "id": "#_:save-files-to-dir-4"
            },
            "in": [
                {
                    "source": "#main/dir_name",
                    "id": "#main/save-files-to-dir-4/dir_name"
                },
                {
                    "source": "#main/lowercase-1/out_files",
                    "id": "#main/save-files-to-dir-4/in_files"
                }
            ],
            "out": [
                "#main/save-files-to-dir-4/out"
            ],
            "id": "#main/save-files-to-dir-4"
        }
    ],
    "id": "#main",
    "outputs": [
        {
            "type": "Directory",
            "outputSource": "#main/save-files-to-dir-4/out",
            "id": "#main/out_dir"
        }
    ],
    "cwlVersion": "v1.0"
}
